AOZ Studio Beta - Bug #24

Restore to expression not implemented.
01/18/2020 01:42 PM - Brian Flanagan

Status: Closed Start date: 01/18/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: 0.9.3

Affected version: 0.9.2.6

Description

Example: Help_48, line 130,134 from AMOSPro_Examples:

Both lines are the same:

Restore Rnd(5)+1 ' Instruction not implemented error at the Rnd

| also tried a simpler expression with the same result:

Restore 2+1 ' Instruction not implemented at the +

Related issues:

Related to AOZ Studio Beta - Bug #46: RESTORE causes internal error Closed 01/21/2020

History

#1 - 01/20/2020 10:40 PM - Anonymous
Brian Flanagan wrote:

Example: Help_48, line 130,134 from AMOSPro_Examples:
Both lines are the same:

Restore Rnd(5)+1 ' Instruction not implemented error at the Rnd
| also tried a simpler expression with the same result:

Restore 2+1 ' Instruction not implemented at the +

Using 9.2.6, this fails:

** Restore 3
Read Y
Print Y

Data 1
Data 2
Data 3
Data 4

*k

#2 - 01/20/2020 10:41 PM - Anonymous
Using 9.2.6, this fails:
Restore 3

Read Y
Print Y

Data 1
Data 2
Data 3
Data 4

#3 - 01/21/2020 04:08 PM - Francois Lionet

- Status changed from New to Resolved
- Assignee set to Francois Lionet

- Target version set to 0.9.3

Fixed.

#4 - 01/22/2020 10:49 PM - Baptiste Pillot

- Status changed from Resolved to Closed

e Took the example from AMOS_Professional_Manual.pdf 05.04.13 page 98 : RESTORE
First example : with Label
e source : https://www.amos2.fr/ide/Amos2/Ide/Program/424

e run : https://www.amos2.fr/run/tickleman/24/
e result : "Last". Works well... with both 0.9.2.6 and 0.9.3.1.

Another example that works with both versions : with line numbers

e source : https://www.amos2.fr/ide/Amos2/Ide/Program/425
e run : https://www.amos2.fr/run/tickleman/24-b/
e result : "3". Its OK.

Third example : with line numbers and using Rnd() :

e source :
¢ compile result with 0.9.2.6 : main.aoz:1:13: error: instruction not implemented
e result with 0.9.3.1 : A random number between 1 and 5 : it works !

Restore Rnd (4) +4
Read Y

Print Y

Data
Data
Data
Data
Data
Ok, fine. | close.

#5 - 02/01/2020 08:06 AM - Baptiste Pillot
- Related to Bug #46: RESTORE causes internal error added
